Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.data.engine.api.querydefn
Class QueryExecutionHints

    java.lang.Object
      org.eclipse.birt.data.engine.api.querydefn.QueryExecutionHints

All Implemented Interfaces:
  IQueryExecutionHints

    public class QueryExecutionHints

extends java.lang.Object
implements IQueryExecutionHints

This is an implementation of IQueryExecutionHints.

Constructor Summary
`QueryExecutionHints()`

Method Summary
`void` | `addTargetGroupInstance(IGroupInstanceInfo info)` add target group instance
`boolean` | `doSortBeforeGrouping()` Indicate whether should we do sort before grouping.
`boolean` | `enablePushDown()` Indicate whether should we enable the pushdown of sort/filter/aggregation to ODA whenever applicable.
`java.util.List<IGroupInstanceInfo>` | `getTargetGroupInstances()` Return a list of IGroupInstanceInfo instances that is needed in target ResultSet.
`void` | `setEnablePushDown(boolean enablePushDown)` Set whether should the pushdown be enabled.
`void` | `setSortBeforeGrouping(boolean doSortBeforeGrouping)` Set whether to sort before grouping.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryExecutionHints

    public QueryExecutionHints()

Method Detail

### setSortBeforeGrouping

    public void setSortBeforeGrouping(boolean doSortBeforeGrouping)

  Description copied from interface: `IQueryExecutionHints`
  Set whether to sort before grouping.

  Specified by:
    `setSortBeforeGrouping` in interface `IQueryExecutionHints`
  Parameters:
    `doSortBeforeGrouping` -

### doSortBeforeGrouping

    public boolean doSortBeforeGrouping()

  Description copied from interface: `IQueryExecutionHints`
  Indicate whether should we do sort before grouping.

  Specified by:
    `doSortBeforeGrouping` in interface `IQueryExecutionHints`
  Returns:

### getTargetGroupInstances

    public java.util.List<IGroupInstanceInfo> getTargetGroupInstances()

  Return a list of IGroupInstanceInfo instances that is needed in target ResultSet.

  Specified by:
    `getTargetGroupInstances` in interface `IQueryExecutionHints`
  Returns:

### addTargetGroupInstance

    public void addTargetGroupInstance(IGroupInstanceInfo info)

  add target group instance

  Specified by:
    `addTargetGroupInstance` in interface `IQueryExecutionHints`

### enablePushDown

    public boolean enablePushDown()

  Description copied from interface: `IQueryExecutionHints`
  Indicate whether should we enable the pushdown of sort/filter/aggregation to ODA whenever applicable.

  Specified by:
    `enablePushDown` in interface `IQueryExecutionHints`
  Returns:

### setEnablePushDown

    public void setEnablePushDown(boolean enablePushDown)

  Description copied from interface: `IQueryExecutionHints`
  Set whether should the pushdown be enabled.

  Specified by:
    `setEnablePushDown` in interface `IQueryExecutionHints`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.